Subject: Re: 5.10 LTS Kernel: 2 or 6 years?

From: Jari Ruusu <[email-masked]>
Date: Thu, 18 Feb 2021 16:15:11 +0200

Willy Tarreau wrote:
> The only set of fixes that can be trusted are the "official" stable
> kernels, because they are the only ones that are approved by the patches
> authors themselves. Adding more stuff on top of stable kernels is fine
> (and done at your own risk), but randomly dropping stuff from stable
> kernels just because you don't think you need that is totally non-sense
> and must not be done anymore!

This may be little bit off-topic... but stable kernel.org kernels
can also bit-rot badly because of "selective" backporting... as in
anything that does not apply cleanly gets dropped regardless of
how critical they are.

I will give you one example: Intel WiFi (iwlwifi) on 4.19.y
kernel.org stable kernels is currently missing many critical
locking fixes. As a result, that in-tree iwlwifi driver causes
erratic behavior to random unrelated processes, and has been doing
so for many months now. My not-so-politically correct opinion is
that in-tree iwlwifi is completely FUBAR unless someone steps up
to do professional quality backport of those locking fixes from
upstream out-of-tree Intel version [1] [2] of the driver. For me
only way to get properly working WiFi on my laptop computer is to
compile that Intel out-of-tree version. Sad, but true.

[1] https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi/core_release
[2] https://git.kernel.org/pub/scm/linux/kernel/git/iwlwifi/backport-iwlwifi.git/

-- 
Jari Ruusu  4096R/8132F189 12D6 4C3A DCDA 0AA4 27BD  ACDF F073 3C80 8132 F189

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel